#include <stdio.h>

int main() {
    int N, L;
    scanf("%d %d", &N, &L);

    int H[N];

    for (int i = 0; i < N; i++) {
        scanf("%d", &H[i]);
    }

    for (int i = 0; i < N; i++) {
        if (H[i] <= L) {
            printf("%d", i+1);
            break;
        }
        else
        {
        printf("-1");
        break;
        }
    }

    return 0;
}